]> arthur.barton.de Git - bup.git/blobdiff - main.py
Build docs via top Makefile
[bup.git] / main.py
diff --git a/main.py b/main.py
index 45a0e8a14ae30b62013d0fe187ff94f0348c35b2..ef229571714926cfb41b09f0448d94e595e628e9 100755 (executable)
--- a/main.py
+++ b/main.py
@@ -1,4 +1,10 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*- # -*-python-*-
+bup_python="$(dirname "$0")/cmd/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
 import sys, os, subprocess, signal, getopt
 
 argv = sys.argv